<?php

define('DIR_MENU', 'data/menu/');
define('LEFT_MENU', DIR_MENU.'left.txt');
define('TOP_MENU', DIR_MENU.'top_menu.txt');

function is_menu_item($url)
{

	list($script, $vars)=explode('index.php?', $url);

	$vars=str_replace('&amp;', '&', $vars);

	$vars=explode('&', $vars);
	$r2='';
	$action2='';
	$item20='';
	$item21='';
	$item22='';

	foreach($vars as $buf)
	{
		list($var, $cont)=explode('=', $buf);
		switch($var)
		{
			case 'r':
				$r2=$cont;
			break;
			case 'action':
				$action2=$cont;
			break;
			case 'item0':
				$item20=$cont;
			break;
			case 'item1':
				$item21=$cont;
			break;
			case 'item2':
				$item22=$cont;
			break;
		}
	}

	$r=get_invar('r', 'request');
	$action=get_invar('action', 'request');

	if ($url=='index.php?r=html&item0=index' and empty($r))	return true;


	if ($r2==$r)
	{
		if ($r=='html')
		{
			$item0=get_invar('item0', 'request');
			$item1=get_invar('item1', 'request');
			$item2=get_invar('item2', 'request');
			if (!empty($item0) and $item0==$item20)
			{
				return true;
			}
		}
		else
		{
			return true;
		}
	}

	return false;
}

function make_alinks($ar)
{
	global $$ar;
	$buf=$$ar;
	$string='';
	foreach($buf as $str)
	{
		$string.='<a class="menu" href="'.$str['href'].'">'.$str['title'].'</a>';
	}

	return $string;
}

function make_left_menu()
{
	$buf=print_afile(LEFT_MENU);
	$string='<ul class="menu">';

	foreach($buf as $line)
	{
		list($href, $title, $submenu, $redi)=explode(RAZ, $line);
		if (!empty($submenu))
		{
			$string.='<li class="title_submenu"><span class="title_sm">'.$title.'</span>';
			$string.='<ul class="menu2">';
			$string.=make_submenu($submenu);
			$string.='</ul></li>';
		}
		else
		{
			if (!empty($redi))	$href=$redi;

			$href2=$href;
			//$href2=str_replace('&amp;', '&', $href);
			//$href2=str_replace('index.php?r=html&item0=', '', $href2);
			//$href2.='.html';

			if (is_menu_item($href))	$string.='<li class="menu"><a class="menu_a" href="'.$href2.'">'.$title.'</a></li>';
			else $string.='<li class="menu"><a class="menu" href="'.$href2.'">'.$title.'</a></li>';
		}

	}
	$string.='</ul>';

	return $string;
}

function make_submenu($file)
{
	$string='';
	$buf=print_afile($file);

	foreach($buf as $line)
	{
		list($href, $title, $res, $redi)=explode(RAZ, $line);
		if (!empty($redi))	$href=$redi;

		if (strpos($href, 'http://')===false)
		{
			$href2=$href;
			//$href2=str_replace('&amp;', '&', $href);
			//$href2=str_replace('index.php?r=html&item0=', '', $href2);
			//$href2.='.html';
			$string.='<li>';
			if (is_menu_item($href))	$string.='<a class="menu_a" href="'.$href2.'">'.$title.'</a>';
				else $string.='<a class="menu" href="'.$href2.'">'.$title.'</a>';
			$string.='</li>';
		}
		else
		{
			$string.='<li><a target="_blank" class="menu" href="'.$href.'">'.$title.'</a></li>';
		}
	}

	return $string;
}

function make_main_buttons()
{
	$string='<div class="main_buttons">';

	$r=get_invar('r', 'request');
	$item0=get_invar('item0', 'request');

	if (empty($r) or $item0=='index')	$string.='<img alt="" style="border:0; width:16px; height:16px;" src="gfx/main_buttons/home.gif" />';
	else	$string.='<a title="1" href="index.html"><img alt="" style="border:0; width:16px; height:16px;" src="gfx/main_buttons/home_a.gif" /></a>';

	global $prefs_main;
	$email=$prefs_main->getText('email_info');
	$string.='&nbsp;&nbsp;&nbsp;<a title=" " href="mailto:'.$email.'"><img alt=" " style="border:0; width:16px; height:16px;" src="gfx/main_buttons/email.gif" /></a></div>';

	return $string;
}


?>